Update a representative | Moov Documentation

Update a representative

If a representative's information has changed you can patch the information associated with a specific representative ID. Read our business representatives guide to learn more.

When can profile data be updated:

When can't profile data be updated:

If you need to update information in a locked state, please contact Moov support.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/representatives.write scope.

PATCH

/accounts/{accountID}/representatives/{representativeID}

Ask

curl -X PATCH "https://api.moov.io/accounts/{accountID}/representatives/{representativeID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var representativeID string

mc.UpdateRepresentative(ctx, accountID, representativeID, moov.UpdateRepresentative{
  Email: "amandayang@classbooker.dev",
})

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.representatives.update({
    accountID: "76647e2b-97ea-4551-8275-7153219f3317",
    representativeID: "e89d3d0d-fbe3-4df6-8b18-d7cbcb761161",
    updateRepresentative: {
      name: {
        firstName: "Jordan",
        middleName: "Reese",
        lastName: "Lee",
        suffix: "Jr",
      },
      phone: {
        number: "8185551212",
        countryCode: "1",
      },
      email: "jordan.lee@classbooker.dev",
      address: {
        addressLine1: "123 Main Street",
        addressLine2: "Apt 302",
        city: "Boulder",
        stateOrProvince: "CO",
        postalCode: "80301",
        country: "US",
      },
      birthDate: null,
      responsibilities: {
        ownershipPercentage: 38,
        jobTitle: "CEO",
      },
    },
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\